import * as React from 'react';
import { FormOptions } from './Form';
declare type FormHocOptions<Values, Props> = FormOptions<Values> & {
    mapPropsToValues?: (props: Props) => Partial<Values>;
};
declare function OptionsContainer<Values extends object, Props extends object>(options: FormHocOptions<Values, Props>): (Component: React.ComponentType<Props> | React.FC<Props>) => (props: Props) => JSX.Element;
export default OptionsContainer;
