import { FieldInformation } from '../types';
export interface FieldOperations<T> {
    onBlur: () => void;
    onChange: (value: T) => void;
    onFocus: () => void;
}
export default function useField<T = any>(fieldId: string, validate?: (value: T) => string | undefined): [FieldOperations<T>, FieldInformation<T>];
