export interface FieldOperations<T> {
    add: (item: T) => void;
    insert: (at: number, element: T) => void;
    remove: (toDelete: number) => void;
}
export interface FieldInformation<T> {
    error: string | null;
    value: Array<T>;
}
export default function useFieldArray<T = any>(fieldId: string): [FieldOperations<T>, FieldInformation<T>];
